Package com.microblink.blinkid.view

# Class BaseCameraView.BaseCameraViewEventsListener

java.lang.Object
com.microblink.blinkid.view.BaseCameraView.BaseCameraViewEventsListener

All Implemented Interfaces:
  `com.microblink.blinkid.view.surface.ICameraView.CameraViewEventListener`

Enclosing class:
  BaseCameraView

protected class BaseCameraView.BaseCameraViewEventsListener extends Object implements com.microblink.blinkid.view.surface.ICameraView.CameraViewEventListener

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BaseCameraViewEventsListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onCameraPinchEvent(float scale)`
  Called when used pinch zooms a camera surface.
  `void`
  `onCameraTapEvent(float x, float y)`
  Called when user taps a camera surface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BaseCameraViewEventsListener

    protected BaseCameraViewEventsListener()

- ## Method Details

  - ### onCameraTapEvent

    public void onCameraTapEvent(float x, float y)
    Description copied from interface: `com.microblink.blinkid.view.surface.ICameraView.CameraViewEventListener`
    Called when user taps a camera surface. Reported coordinates are relative within camera preview frame.
    Specified by:
      `onCameraTapEvent` in interface `com.microblink.blinkid.view.surface.ICameraView.CameraViewEventListener`
    Parameters:
      `x` - x coordinate of the tap event
      `y` - y coordinate of the tap event

  - ### onCameraPinchEvent

    public void onCameraPinchEvent(float scale)
    Description copied from interface: `com.microblink.blinkid.view.surface.ICameraView.CameraViewEventListener`
    Called when used pinch zooms a camera surface.
    Specified by:
      `onCameraPinchEvent` in interface `com.microblink.blinkid.view.surface.ICameraView.CameraViewEventListener`
    Parameters:
      `scale` - Pinch scale factor